<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use App\Models\ApiUser;
use DB;
use Illuminate\Support\Str;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Http;

class AuthController extends Controller
{
    public function login(Request $request)
    {
        $request->validate([
            'username' => 'required',
            'password' => 'required'
        ]);

        $user = ApiUser::where('username', $request->input('username'))->first();

        if (!$user || !Hash::check($request->input('password'), $user->password)) {
            return response()->json(['error' => 'Invalid credentials'], 401);
        }
        $date = date('Y-m-d H:i:s', strtotime('+12 hours'));
        $token = Str::random(60);
        ApiUser::where('username', $request->input('username'))->update(['api_token' => hash('sha256', $token), 'token_expires_at' => $date]);

        return response()->json(['expires_at' => $date,'token' => $token]);
    }
}
