<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;
    protected $table='orders';
    public $timestamps = false;

    protected $fillable = ['id', 'ref_order_id', 'service_id', 'client_id', 'client_order_id', 'input', 'output', 'status', 'source', 'assigned_user_id', 'last_updated_by', 'created_at'];

    public function clients()
    {
        return $this->belongsTo(Client::class, 'client_id');
    }

    public function services()
    {
        return $this->belongsTo(Service::class, 'service_id');
    }

    public function assignedUsers()
    {
        return $this->belongsTo(User::class, 'assigned_user_id');
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class, 'last_updated_by');
    }

    public function updatedByUsers()
    {
        return $this->belongsTo(User::class, 'last_updated_by');
    }

    public function statusTypes()
    {
        return $this->belongsTo(Status::class, 'status');
    }
    public function order_status_history()
    {
        return $this->hasMany(OrderStatusHistory::class, 'order_id');
    }

    public function supportingDocs()
    {
        return $this->belongsTo(SupportingDocs::class, 'order_id');
    }

    public function userServiceMapping()
    {
        return $this->hasMany(ServiceUserMapping::class, 'user_id', 'assigned_user_id');
    }
}
