<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Service extends Model
{
    use HasFactory;
	protected $table='services';
    public $timestamps = false;

    protected $fillable = ['id', 'service_name', 'short_code', 'description', 'output_type', 'is_active'];

    public function clients()
    {
        return $this->belongsTo(Client::class, 'clients_id');
    }

    public function orders()
    {
        return $this->hasMany(Order::class, 'order_id');
    }

    public function companies()
    {
        return $this->belongsTo(Company::class, 'company_id', 'id');
    }

}
