@extends('auth.layout')

@section('content')
<div class="container-fluid">
	<div class="row vh-100 mb-5">
		<div class="col-sm-0 col-md-8 col-lg-8 col-xl-8" style="background:url({{asset('assets/images/landing/banner.png')}}) center/cover no-repeat">
			<div class="text-center" style="margin: auto;  align-content: center;  height: 100vh !important;">
				<img src="{{asset('assets/images/landing/opaquelogo.png')}}" width="auto" height="auto" alt="logo" class="auth-logo">
			</div>
		</div>
		<div class="col-sm-12 col-md-4 col-lg-4 col-xl-4 align-self-center pb-5 mb-5">
			<div class="text-center">
				<img src="{{asset('assets/images/landing/logo.png')}}" width="auto" height="auto" alt="logo" class="auth-logo my-5">
			</div>
			<div class="auth-page">
				<div class="p-0">
					<div class="col-lg-12">
						<div class="row">
					  
						<div class="col-lg-12 pt-3 pb-2 text-left"> <h2 class="px-0"> Login </h2> </div>

							<div class="col-lg-12 pt-0 mt-0">
							  @if (Session::has('failed'))
								<p class="text-center" style="color:red">{{ Session::get('failed') }}</p>
							  @endif

							  <form method="POST" action="{{ route('login') }}">
								@csrf

								<div class="form-group text-left">
								  <label for="email"><strong>Email</strong></label>

								  <div class="input-group mb-1">
									
									<input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" placeholder="Enter Email" required autocomplete="email" autofocus>

									@error('email')
									  <span class="invalid-feedback" role="alert">
										<strong>{{ $message }}</strong>
									  </span>
									@enderror

								  </div>
								</div>

								<div class="form-group text-left">
								  <label for="password"><strong>Password</strong></label>

								  <div class="input-group mb-0">
									
									<input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" placeholder="Enter Password" required autocomplete="current-password">

									@error('password')
									  <span class="invalid-feedback" role="alert">
										<strong>{{ $message }}</strong>
									  </span>
									@enderror
								  </div>
								</div>
								<div class="col-lg-12 text-right">

									@if (Route::has('password.request'))
									<a class="btn  " href="{{ route('password.request') }}"
										style="font-size: 12px !important; font-weight: normal;">
										{{ __('Forgot Your Password?') }}
									</a>
									@endif
								</div>

								<div class="form-group mb-0 row">
								  <div class="col-12 mt-2">
									<button style="background-color: #41B680 !important;border-color: #41B680 !important;" class="btn btn-gradient-success btn-round btn-block waves-effect waves-light" type="submit">
									  {{ __('Login') }} <i class="fas fa-sign-in-alt ml-1"></i>
									</button>
								  </div>
								</div>
							  </form>

							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
