@extends('auth.layout')

@section('content')

<div class="container-fluid">
	<div class="row vh-100 mb-5">
		<div class="col-sm-0 col-md-8 col-lg-8 col-xl-8" style="background:url({{asset('assets/images/landing/banner.png')}}) center/cover no-repeat">
			<div class="text-center" style="margin: auto;  align-content: center;  height: 100vh !important;">
				<img src="{{asset('assets/images/landing/opaquelogo.png')}}" width="auto" height="auto" alt="logo" class="auth-logo">
			</div>
		</div>
		<div class="col-sm-12 col-md-4 col-lg-4 col-xl-4 align-self-center pb-5 mb-5">
			<div class="text-center">
				<img src="{{asset('assets/images/landing/logo.png')}}" width="auto" height="auto" alt="logo" class="auth-logo my-5">
			</div>
			<div class="auth-page">
				<div class="p-0">
				  
					<div class="col-lg-12 pt-3 pb-2 text-left"> <h2 class="px-0"> Reset Password </h2> </div>

					@if (Session::has('failed'))
					  <p class="text-center" style="color:red">{{ Session::get('failed') }}</p>
					@endif

					@if (session('status'))
						<p class="text-center" style="color: #41B680"><strong>Your Password Reset Link Has Been Dispatched to Your Email</strong></p>
					@endif
					<form id="resetPasswordForm" method="POST" action="{{ route('password.email') }}">
						@csrf

						<div class="form-group">
							<label for="email"><strong>Email</strong></label>

							<div class="input-group mb-1">
							 
							  <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" placeholder="Enter Email" required autocomplete="email" autofocus>

							  @error('email')
								<span class="invalid-feedback" role="alert">
								  <strong>{{ $message }}</strong>
								</span>
							  @enderror

							</div>
						  </div>

						<div class="row mb-0">
							<div class="col-12 mt-2">
								<button style="background-color: #41B680 !important;border-color: #41B680 !important;" class="btn btn-gradient-success btn-round btn-block waves-effect waves-light" type="submit">
									{{ __('Send Password Reset Link') }}
									<i class="fas fa-sign-in-alt ml-1"></i>
								  </button>
							</div>
						</div>

						@if (Route::has('login'))
						<div class="row mb-0 text-center">
							<div class="col-12 mt-2">
								<a class="btn p-0 text-center" href="{{ route('login') }}"
									style="font-size: 12px !important; font-weight: normal;">
									{{ __('Back to Login') }}
								</a>
							</div>
						</div>
						@endif
					</form>
				</div>
            </div>
        </div>
	</div>
</div>


@endsection
