<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Lender OMS</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
</head>
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }

        tr td, tr th {
            border: .1px solid black;
            font-size: 12px;
            padding: 4px;
        }

        .pdf-container {
            border-collapse: collapse;
            width: 100%;
        }

        .legal-description {
            font-size: 12px;
            width: 98.8%;
            padding: 4px;
            border: .4px solid black;
            page-break-inside: avoid;
        }
    </style>

    <body class="">
        <div class="pdf-container">
        <table>
            <thead >
                <tr >
                    <th style="padding: 15px;text-align: center; vertical-align: middle;">
                        <div  style="display: inline-block;">
                            @if(isset($vendorId))
                                @if($vendorId == 1)
                                    <img style="width: 250px;" src="vendor_logo/ztax.png" alt="">
                                @elseif($vendorId == 2)
                                    <img style="width: 250px;" src="vendor_logo/rs.png" alt="">
                                @elseif($vendorId == 3)
                                    <img style="width: 250px;" src="vendor_logo/lenderlynx.png" alt="">
                                @else
                                    <img style="width: 250px;" src="storage/{{ $clientData->logo }}" alt="">
                                @endif
                            @else
                                <img style="width: 250px;" src="storage/{{ $clientData->logo }}" alt="">
                            @endif
                        </div>
                    </th>
                    <th style="padding: 15px;width:50%; text-align: center; font-weight: 600; font-size:20px;">
                        Legal and Vesting<br>Product Cover Sheet
                    </th>
                </tr>
            </thead>
        </table>

        <table>
            <tbody class="text-wrap">
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; background-color: {{ $clientData->cert_color }};">ORDER INFORMATION</th>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">FILE/ORDER NUMBER: </td>
                    <td colspan="1">{{ $record['OrderInformation']['file_order_no'] ?? '' }}</td>

                    <td class="order-info-td" colspan="1" width="16.6666%">PRODUCT NAME: </td>
                    <td colspan="1">{{ $record['OrderInformation']['product_name'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">BORROWER NAME(S): </td>
                    <td colspan="3">{{ $record['OrderInformation']['borrower_names'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">PROPERTY ADDRESS: </td>
                    <td colspan="3">{!! empty($record['OrderInformation']['property_address']) ? '<br>' : str_ireplace('&nbsp;', ' ', $record['OrderInformation']['property_address']) !!}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">CITY, STATE AND COUNTY:</td>
                    <td colspan="3">{{ $record['OrderInformation']['city_state_county'] ?? '' }}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};  ">SEARCH INFORMATION</th>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">SEARCH DATE: </td>
                    <td colspan="1">{!! empty($record['SearchInformation']['search_date']) ? '' : date("m/d/Y", strtotime($record['SearchInformation']['search_date'])) !!}</td>

                    <td class="order-info-td" colspan="1" width="16.6666%">EFFECTIVE DATE: </td>
                    <td colspan="1">{!! empty($record['SearchInformation']['effective_date']) ? '' : date("m/d/Y", strtotime($record['SearchInformation']['effective_date'])) !!}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">NAME(S) SEARCHED: </td>
                    <td colspan="3">{{ $record['SearchInformation']['names_searched'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" width="16.6666%">ADDRESS/PARCEL SEARCHED:</td>
                    <td colspan="3"><span>{{ $record['SearchInformation']['address_parcel_searched'] ?? '' }}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};">ASSESSMENT INFORMATION</th>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1">COMMENTS: </td>
                    <td colspan="3">{!! empty($record['AssessmentInformation']['comments']) ? '<br>' : str_ireplace('&nbsp;', ' ',$record['AssessmentInformation']['comments']) !!}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};  ">CURRENT OWNER VESTING</th>
                </tr>
                <tr>
                    <td colspan="4" style="font-size:12px; width:100%; padding:6px">{!! empty($record['CurrentOwnerVesting']['current_ov']) ? '<br>' : str_ireplace('&nbsp;', ' ', $record['CurrentOwnerVesting']['current_ov']) !!}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:20%">COMMENTS: </td>
                    <td colspan="3">{!! empty($record['CurrentOwnerVesting']['comments']) ? '<br>' : str_ireplace('&nbsp;', ' ', $record['CurrentOwnerVesting']['comments']) !!}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};">VESTING DEED</th>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:14%">DEED TYPE: </td>
                    <td colspan="1">{{ $record['VestingDeed']['deed_type'] ?? '' }}</td>

                    <td class="order-info-td" colspan="1" style="width:14%;">GRANTOR: </td>
                    <td colspan="1" class="vesting-deed">{{ $record['VestingDeed']['grantor'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:14%">DATED DATE: </td>
                    <td colspan="1">{!! empty($record['VestingDeed']['dated_date']) ? '' : date("m/d/Y", strtotime($record['VestingDeed']['dated_date'])) !!}</td>

                    <td class="order-info-td" colspan="1" style="width:14%">GRANTEE: </td>
                    <td colspan="1">{{ $record['VestingDeed']['grantee'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:14%">BOOK/PAGE: </td>
                    <td colspan="1">{{ $record['VestingDeed']['book_page'] ?? '' }}</td>

                    <td colspan="1"class="order-info-td" style="width:14%">RECORDED DATE: </td>
                    <td colspan="1">{!! empty($record['VestingDeed']['recorded_date']) ? '' : date("m/d/Y", strtotime($record['VestingDeed']['recorded_date'])) !!}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:14%">INSTRUMENT NO: </td>
                    <td colspan="3">{{ $record['VestingDeed']['instrument_no'] ?? '' }}</td>
                </tr>
                <tr>
                    <td class="order-info-td" colspan="1" style="width:14%">COMMENTS:</td>
                    <td colspan="3">{!! empty($record['VestingDeed']['comments']) ? '<br>' : str_ireplace('&nbsp;', ' ', $record['VestingDeed']['comments']) !!}</td>
                </tr>
                <tr style="margin:0%; padding:0%; border-radius:0%">
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};">FOR PREAMBLE</th>
                </tr>
                <tr>
                    <td colspan="1" class="order-info-td">CITY/TOWNSHIP/PARISH: </td>
                    <td colspan="3">{!! empty($record['ForPreamble']['city_township_parish']) ? '<br>' : str_ireplace('&nbsp;', ' ',$record['ForPreamble']['city_township_parish']) !!}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }};  ">ADDITIONAL NOTES</th>
                </tr>
                <tr>
                    <td colspan="4" style="font-size:12px; width:100%;padding-left:4px;padding-right:4px">{!! empty($record['AdditionalNotes']) ? '<br>' : str_ireplace('&nbsp;', ' ',$record['AdditionalNotes']) !!}</td>
                </tr>
                <tr>
                    <th class="order-info" colspan="4" style="font-weight:400;text-align: center; width:100%; background-color: {{ $clientData->cert_color }}; ">LEGAL DESCRIPTION</th>
                </tr>
            </tbody>
        </table>
        <div class="legal-description">
            {!! empty($record['LegalDescription']) ? '<br>' : str_ireplace('&nbsp;', ' ', $record['LegalDescription']) !!}
        </div>
    </div>
    </body>
</html>
